<?php



/**
 * Klasse Isdn
 * Zeigt alle Einträge von der Tabelle isdn der Datenbank
 */

class Isdn {


	/*
	 * Funktion display erzeugt den Inhalt von der HTML-Seite
	 */
	function display($args) {

		include "./includes/functions.php";
		//Das Objekt funktions wird erzeugt um später die Navigationsleiste zu erzeugen.
		$functions = new functions();

		// args
		$m = $_GET['m'];
		$q = $_GET['q'];
		$start = $_GET['start'];
		$order = $_GET['order'];
		$sort = $_GET['sort'];
		$start = $start == '' ? 0 : $start;
		$span = 15;
		$order = $order;
		$sort = $sort;

		include('./includes/header.php');
		$isdn_table = $this->dynamic_table();
		// build page content

		$opt = split("-",$m);
		$option = strtoupper($opt[1]);

		$ret .= "
			<script>
			function popup(param)
			{
				$.ajax({
					url : 'misc/isdn_popup.php?'+param,
					success : function (data) {
						$('#dialog').html(data);

						$('#dialog').dialog({ minWidth: 450 });
						hidec();
						ovelapdial_show(document.getElementById('overlap_dialing').checked);
						$('input[name=\"group\"]').focus();
					}
				});
			}
			function del(table,option,opt){
				conf = confirm('".PSTN_DELETE_MESS1_DIS." '+option+'? ".PSTN_DELETE_MESS2_DIS."');
				if (conf==false)
					return false;
				else
					window.location='./misc/delete.php?gr='+option+'&table='+table+'&opt='+opt;
			}
			</script>
			<div id='dialog' title='ISDN-".$option."'></div>
		    <form class='beroari_form' name='isdn' action='' method='GET'>
			<input type=hidden name=m value='" . $m . "'>
			<input type=hidden name=f value='action'>
			<input type=hidden name=q value='" . $q . "'>
			<input type=hidden name=start value='" . $start . "'>
			<input type=hidden name=span value='" . $span . "'>
			<input type=hidden name=order value='" . $order . "'>
			<input type=hidden name=sort value='" . $sort . "'>
			<input type=hidden name=a value='add'>
			<br>
			" . $isdn_table . "
			<br>
			<div class='center'>
				<input name='submit' type='button' value='".BUTTON_ADD."' onmouseover=\"Tip('" . MOD_ISDN_ADD . "')\" onmouseout='UnTip()' onclick='popup(\"opt=".$option."\");'>
			</div>
			</form>";


		//Rückgabe: Inhalt der HTML-Seite
		return $ret;
	}

	/*
	 * Funktion dynamic_table
	 */
	function dynamic_table() {
		//ein neues Datenbankobjekt wird erzeugt.
		$ba = new beroAri();
		require_once("./includes/lang.php");

		//Das Header der Tabelle sind die Spaltennamen von dialplan
		$cols .= "<th>".PSTN_GROUP_DIS."</th>";
		$cols .= "<th>".PSTN_PORTS_DIS."</th>";
		/*Die Einträge werden von der Tabelle isdn gelesen, formatiert und in einer
		  Tabelle geschrieben, zusätzlich werden 2 Knöpfe eingebaut: modify und delete*/
		$opt=split("-",$_GET['m']);
		$query = $ba->select('SELECT DISTINCT gr FROM isdn WHERE gr!="NULL" and port_type="'.strtoupper($opt[1]).'"');
		$rows = '';
		while ($entry = $ba->fetch_array($query)) {
			$query_port = $ba->select('SELECT port FROM isdn WHERE gr=\''.$entry['gr'].'\' ORDER BY port asc');
			$ports="";
			while ($entryp = $ba->fetch_array($query_port)) {
				if($ports!=""){
					$ports.=",".$entryp['port'];
				}else{
					$ports.=$entryp['port'];
				}
			}
			$rows.="<tr><td>".$entry['gr']."</td><td>".$ports."</td>";
			$rows .= "<td class='buttons'>
						<a class='popup_download' onclick=\"javascript:popup('gr=" .
				$entry['gr'] . "&opt=".strtoupper($opt[1])."');\">
					<img src='./includes/images/modify.png' onmouseover=\"Tip('" . MOD_ISDN_MODIFY . "')\" onmouseout='UnTip()'>
				</a>&nbsp;
				<a class='popup_download' onclick=\"del('isdn','".$entry['gr']."','".$_GET['m']."');\">
            	    <img src='./includes/images/delete.png' onmouseover=\"Tip('" .
					MOD_ISDN_DELETE . "')\" onmouseout='UnTip()'>
				</a>

			</td></tr>";
		}


		$table = "<table class='contenttoc' id='table'><tr>" . $cols . "<th></th></tr>" . $rows . "</table>";
		//Rückgabe: Erzeugte Tabelle mit den Einträgen der Tabelle isdn der Datenbank
		return $table;
	}

}
?>
